View Issue Details

IDProjectCategoryView StatusLast Update
0002988Ham Radio DeluxeEnhancementpublic2019-02-24 15:12
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0002988: Add ability to save column widths in DX Cluster
DescriptionWe've had a number of requests to save column widths in the DX Cluster pane (similar to what was requested for the logbook pane).

Here is one such request:

https://support.hamradiodeluxe.com/scp/tickets.php?id=24242

(you can resize the columns, but the width is not persistent)
Steps To ReproduceResize country column so that it truncates some of the country name
Next spots come along and it resets the column width
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2018-12-13 21:57

administrator   ~0006623

The repro steps are about auto-sizing on each spot received. Is it desired ot make that an option?

The bug text and subject seem to describe persisting column width settings across runs of the product:

1) Start the Logbook
2) Connect a DX cluster
3) Set the column width
4) Close the Logbook
5) Open the Logbook again
BUG#1) Column width is reset


Do both need to be fixed? Just one?

WA9PIE

2019-01-30 10:29

administrator   ~0007157

It's very unlikely that columns like WSI (C, B, M, S), LOTW, eQSL, DX CQ, DX ITU... as examples... will have contents below the column header that are wider than the header itself. As it stands, they are far too wide and they take up too much horizontal space. Other columns like DX Call, Spotter, and Comment (as examples) will have more variability (particularly Comment).

So, I think that the default behavior should be to have these columns expand to the the wider of the column header or the contents below the header and save this without prompting. If someone makes their country column narrow... that's fine. It should save without prompting. Just my 2-cents. Folks who were used to the way it worked before will think it went back to the way it was. This will also implement the request to save the column widths. It's a win-win.

K7ZCZ

2019-01-30 10:34

administrator   ~0007158

So it sounds like the desired implementation is to:

1) Initially default to an automatic size based on the header and the content
2) Allow the user to resize at will
3) Save the user's sizing preferences, and don't reset it.

Right? Is there a need to manually reset an automatic size?

WA9PIE

2019-01-30 11:31

administrator   ~0007160

Yes, regarding the desired implementation.

Yes, I think we should have a resize button similar to what's in the logbook pane (called "Width" with opposite arrows). If this is what you mean by a "manual reset to an automatic size".

K7ZCZ

2019-01-31 15:00

administrator   ~0007183

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4790

WA9PIE

2019-02-01 20:04

administrator   ~0007215

Validated

Issue History

Date Modified Username Field Change
2018-12-13 14:11 WA9PIE New Issue
2018-12-13 21:57 K7ZCZ Assigned To => WA9PIE
2018-12-13 21:57 K7ZCZ Status new => feedback
2018-12-13 21:57 K7ZCZ Note Added: 0006623
2019-01-30 10:29 WA9PIE Note Added: 0007157
2019-01-30 10:34 K7ZCZ Note Added: 0007158
2019-01-30 11:31 WA9PIE Note Added: 0007160
2019-01-30 11:31 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-01-30 13:29 WA9PIE Status feedback => assigned
2019-01-31 15:00 K7ZCZ Status assigned => resolved
2019-01-31 15:00 K7ZCZ Resolution open => fixed
2019-01-31 15:00 K7ZCZ Note Added: 0007183
2019-01-31 15:22 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-02-01 18:13 K7ZCZ Fixed in Version => 6.5.0.189
2019-02-01 20:04 WA9PIE Status resolved => closed
2019-02-01 20:04 WA9PIE Testing Not Started => Beta Successful
2019-02-01 20:04 WA9PIE Note Added: 0007215
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.189 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe